org.jetlang.remote.core

## Class JetlangRemotingInputStream

- java.lang.Object
- - org.jetlang.remote.core.JetlangRemotingInputStream

    public class JetlangRemotingInputStream
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JetlangRemotingInputStream(InputStream inputStream, JetlangRemotingProtocol protocol, Runnable onReadTimeout)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `readFromStream()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JetlangRemotingInputStream

    public JetlangRemotingInputStream(InputStream inputStream,
                                      JetlangRemotingProtocol protocol,
                                      Runnable onReadTimeout)

### Method Detail

#### readFromStream

    public boolean readFromStream()
                           throws IOException

Throws:
  `IOException`